<?php

/**
 * Header Options
 *
 * @package moving_truck_rental
 */


// ---------------------------------------- GENERAL OPTIONBS ----------------------------------------------------


// ---------------------------------------- PRELOADER ----------------------------------------------------

$wp_customize->add_section(
	'moving_truck_rental_general_options',
	array(
		'panel' => 'moving_truck_rental_theme_options',
		'title' => esc_html__( 'General Options', 'moving-truck-rental' ),
	)
);


// Add Separator Custom Control
$wp_customize->add_setting( 'moving_truck_rental_preloader_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Moving_Truck_Rental_Separator_Custom_Control( $wp_customize, 'moving_truck_rental_preloader_separator', array(
	'label' => __( 'Enable / Disable Site Preloader Section', 'moving-truck-rental' ),
	'section' => 'moving_truck_rental_general_options',
	'settings' => 'moving_truck_rental_preloader_separator',
) ) );


// General Options - Enable Preloader.
$wp_customize->add_setting(
	'moving_truck_rental_enable_preloader',
	array(
		'sanitize_callback' => 'moving_truck_rental_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Moving_Truck_Rental_Toggle_Switch_Custom_Control(
		$wp_customize,
		'moving_truck_rental_enable_preloader',
		array(
			'label'   => esc_html__( 'Enable Preloader', 'moving-truck-rental' ),
			'section' => 'moving_truck_rental_general_options',
		)
	)
);

// Preloader Style Setting
$wp_customize->add_setting(
    'moving_truck_rental_preloader_style',
    array(
        'default'           => 'style1',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'moving_truck_rental_preloader_style',
    array(
        'type'     => 'select',
        'label'    => esc_html__('Select Preloader Styles', 'moving-truck-rental'),
		'active_callback' => 'moving_truck_rental_is_preloader_style',
        'section'  => 'moving_truck_rental_general_options',
        'choices'  => array(
            'style1' => esc_html__('Style 1', 'moving-truck-rental'),
            'style2' => esc_html__('Style 2', 'moving-truck-rental'),
            'style3' => esc_html__('Style 3', 'moving-truck-rental'),
        ),
    )
);

// Preloader Background Color Setting
$wp_customize->add_setting(
	'moving_truck_rental_preloader_background_color_setting',
	 array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 'moving_truck_rental_preloader_background_color_setting', 
		array(
			'label' => __('Preloader Background Color', 'moving-truck-rental'),
			'active_callback' => 'moving_truck_rental_is_preloader_style',
			'section' => 'moving_truck_rental_general_options',
		)
	)
);

// Preloader Background Image Setting
$wp_customize->add_setting(
	'moving_truck_rental_preloader_background_image_setting', 
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize, 'moving_truck_rental_preloader_background_image_setting',
		 array(
			'label' => __('Preloader Background Image', 'moving-truck-rental'),
			'active_callback' => 'moving_truck_rental_is_preloader_style',
			'section' => 'moving_truck_rental_general_options',
		)
	)
);

// ---------------------------------------- PAGINATION ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'moving_truck_rental_pagination_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Moving_Truck_Rental_Separator_Custom_Control( $wp_customize, 'moving_truck_rental_pagination_separator', array(
	'label' => __( 'Enable / Disable Pagination Section', 'moving-truck-rental' ),
	'section' => 'moving_truck_rental_general_options',
	'settings' => 'moving_truck_rental_pagination_separator',
) ) );


// Pagination - Enable Pagination.
$wp_customize->add_setting(
	'moving_truck_rental_enable_pagination',
	array(
		'default'           => true,
		'sanitize_callback' => 'moving_truck_rental_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Moving_Truck_Rental_Toggle_Switch_Custom_Control(
		$wp_customize,
		'moving_truck_rental_enable_pagination',
		array(
			'label'    => esc_html__( 'Enable Pagination', 'moving-truck-rental' ),
			'section'  => 'moving_truck_rental_general_options',
			'settings' => 'moving_truck_rental_enable_pagination',
			'type'     => 'checkbox',
		)
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'moving_truck_rental_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'moving_truck_rental_sanitize_select',
	)
);

$wp_customize->add_control(
	'moving_truck_rental_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'moving-truck-rental' ),
		'section'         => 'moving_truck_rental_general_options',
		'settings'        => 'moving_truck_rental_pagination_type',
		'active_callback' => 'moving_truck_rental_is_pagination_enabled',
		'type'            => 'select',
		'choices'         => array(
			'default' => __( 'Default (Older/Newer)', 'moving-truck-rental' ),
			'numeric' => __( 'Numeric', 'moving-truck-rental' ),
		),
	)
);


// ---------------------------------------- BREADCRUMB ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'moving_truck_rental_breadcrumb_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Moving_Truck_Rental_Separator_Custom_Control( $wp_customize, 'moving_truck_rental_breadcrumb_separators', array(
	'label' => __( 'Enable / Disable Breadcrumb Section', 'moving-truck-rental' ),
	'section' => 'moving_truck_rental_general_options',
	'settings' => 'moving_truck_rental_breadcrumb_separators',
)));

// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'moving_truck_rental_enable_breadcrumb',
	array(
		'sanitize_callback' => 'moving_truck_rental_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Moving_Truck_Rental_Toggle_Switch_Custom_Control(
		$wp_customize,
		'moving_truck_rental_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'moving-truck-rental' ),
			'section' => 'moving_truck_rental_general_options',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'moving_truck_rental_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'moving_truck_rental_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'moving-truck-rental' ),
		'active_callback' => 'moving_truck_rental_is_breadcrumb_enabled',
		'section'         => 'moving_truck_rental_general_options',
	)
);



// ---------------------------------------- Website layout ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'moving_truck_rental_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Moving_Truck_Rental_Separator_Custom_Control( $wp_customize, 'moving_truck_rental_layuout_separator', array(
	'label' => __( 'Website Layout Setting', 'moving-truck-rental' ),
	'section' => 'moving_truck_rental_general_options',
	'settings' => 'moving_truck_rental_layuout_separator',
)));


$wp_customize->add_setting(
	'moving_truck_rental_website_layout',
	array(
		'sanitize_callback' => 'moving_truck_rental_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Moving_Truck_Rental_Toggle_Switch_Custom_Control(
		$wp_customize,
		'moving_truck_rental_website_layout',
		array(
			'label'   => esc_html__('Boxed Layout', 'moving-truck-rental'),
			'section' => 'moving_truck_rental_general_options',
		)
	)
);

$wp_customize->add_setting('moving_truck_rental_layout_width_margin', array(
	'default'           => 50,
	'sanitize_callback' => 'moving_truck_rental_sanitize_range_value',
));

$wp_customize->add_control(new Moving_Truck_Rental_Customize_Range_Control($wp_customize, 'moving_truck_rental_layout_width_margin', array(
		'label'       => __('Set Width', 'moving-truck-rental'),
		'description' => __('Adjust the width around the website layout by moving the slider. Use this setting to customize the appearance of your site to fit your design preferences.', 'moving-truck-rental'),
		'section'     => 'moving_truck_rental_general_options',
		'settings'    => 'moving_truck_rental_layout_width_margin',
		'active_callback' => 'moving_truck_rental_is_layout_enabled',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 130,
			'step' => 1,
		),
)));




// ---------------------------------------- HEADER OPTIONS ----------------------------------------------------

$wp_customize->add_section(
	'moving_truck_rental_header_options',
	array(
		'panel' => 'moving_truck_rental_theme_options',
		'title' => esc_html__( 'Header Options', 'moving-truck-rental' ),
	)
);


// Add setting for sticky header
$wp_customize->add_setting(
	'moving_truck_rental_enable_sticky_header',
	array(
		'sanitize_callback' => 'moving_truck_rental_sanitize_switch',
		'default'           => false,
	)
);

// Add control for sticky header setting
$wp_customize->add_control(
	new Moving_Truck_Rental_Toggle_Switch_Custom_Control(
		$wp_customize,
		'moving_truck_rental_enable_sticky_header',
		array(
			'label'   => esc_html__( 'Enable Sticky Header', 'moving-truck-rental' ),
			'section' => 'moving_truck_rental_header_options',
		)
	)
);

// Header Options - Enable Topbar.
$wp_customize->add_setting(
	'moving_truck_rental_enable_topbar',
	array(
		'sanitize_callback' => 'moving_truck_rental_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Moving_Truck_Rental_Toggle_Switch_Custom_Control(
		$wp_customize,
		'moving_truck_rental_enable_topbar',
		array(
			'label'   => esc_html__( 'Enable Topbar', 'moving-truck-rental' ),
			'section' => 'moving_truck_rental_header_options',
		)
	)
);

// Header Options - Contact Number.
$wp_customize->add_setting(
	'moving_truck_rental_discount_topbar_text',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'moving_truck_rental_discount_topbar_text',
	array(
		'label'           => esc_html__( 'Topbar Text', 'moving-truck-rental' ),
		'section'         => 'moving_truck_rental_header_options',
		'type'            => 'text',
		'active_callback' => 'moving_truck_rental_is_topbar_enabled',
	)
);

$wp_customize->add_setting(
	'moving_truck_rental_enable_header_search_section',
	array(
		'default'           => true,
		'sanitize_callback' => 'moving_truck_rental_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Moving_Truck_Rental_Toggle_Switch_Custom_Control(
		$wp_customize,
		'moving_truck_rental_enable_header_search_section',
		array(
			'label'    => esc_html__( 'Enable Search Section', 'moving-truck-rental' ),
			'section'  => 'moving_truck_rental_header_options',
			'settings' => 'moving_truck_rental_enable_header_search_section',
		)
	)
);

$wp_customize->add_setting(
	'moving_truck_rental_header_button_label_',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'moving_truck_rental_header_button_label_',
	array(
		'label'           => esc_html__( 'Button Label', 'moving-truck-rental'  ),
		'section'         => 'moving_truck_rental_header_options',
		'settings'        => 'moving_truck_rental_header_button_label_',
		'type'            => 'text',
	)
);

// Banner Section - Button Link.
$wp_customize->add_setting(
	'moving_truck_rental_banner_button_link_',
	array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'moving_truck_rental_banner_button_link_',
	array(
		'label'           => esc_html__( 'Button Link', 'moving-truck-rental' ),
		'section'         => 'moving_truck_rental_header_options',
		'settings'        => 'moving_truck_rental_banner_button_link_',
		'type'            => 'url',
	)
);

$wp_customize->add_setting( 'moving_truck_rental_menu_font_size', array(
    'default'           => 15,
    'sanitize_callback' => 'absint',
) );

// Add control for site title size
$wp_customize->add_control( 'moving_truck_rental_menu_font_size', array(
    'type'        => 'number',
    'section'     => 'moving_truck_rental_header_options',
    'label'       => __( 'Menu Font Size ', 'moving-truck-rental' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
));

// Add setting for menu font weight
$wp_customize->add_setting('moving_truck_rental_menu_font_weight', array(
    'default'           => '500',
    'sanitize_callback' => 'sanitize_text_field',
));

// Add control for menu font weight
$wp_customize->add_control('moving_truck_rental_menu_font_weight', array(
    'type'     => 'select',
    'section'  => 'moving_truck_rental_header_options', 
    'label'    => __('Menu Font Weight', 'moving-truck-rental'),
    'choices'  => array(
		'100' => __('100','moving-truck-rental'),
		'200' => __('200','moving-truck-rental'),
		'300' => __('300','moving-truck-rental'),
		'400' => __('400','moving-truck-rental'),
		'500' => __('500','moving-truck-rental'),
		'600' => __('600','moving-truck-rental'),
		'700' => __('700','moving-truck-rental'),
		'800' => __('800','moving-truck-rental'),
		'900' => __('900','moving-truck-rental'),
    ),
));

$wp_customize->add_setting( 'moving_truck_rental_menu_text_transform', array(
    'default'           => 'capitalize', // Default value for text transform
    'sanitize_callback' => 'sanitize_text_field',
) );

// Add control for menu text transform
$wp_customize->add_control( 'moving_truck_rental_menu_text_transform', array(
    'type'     => 'select',
    'section'  => 'moving_truck_rental_header_options', // Adjust the section as needed
    'label'    => __( 'Menu Text Transform', 'moving-truck-rental' ),
    'choices'  => array(
        'none'       => __( 'None', 'moving-truck-rental' ),
        'capitalize' => __( 'Capitalize', 'moving-truck-rental' ),
        'uppercase'  => __( 'Uppercase', 'moving-truck-rental' ),
        'lowercase'  => __( 'Lowercase', 'moving-truck-rental' ),
    ),
) );

// Menu Text Color 
$wp_customize->add_setting(
	'moving_truck_rental_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'moving_truck_rental_menu_text_color', 
		array(
			'label' => __('Menu Color', 'moving-truck-rental'),
			'section' => 'moving_truck_rental_header_options',
		)
	)
);

// Sub Menu Text Color 
$wp_customize->add_setting(
	'moving_truck_rental_sub_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'moving_truck_rental_sub_menu_text_color', 
		array(
			'label' => __('Sub Menu Color', 'moving-truck-rental'),
			'section' => 'moving_truck_rental_header_options',
		)
	)
);

// ----------------------------------------SITE IDENTITY----------------------------------------------------




$wp_customize->add_setting( 'moving_truck_rental_site_title_size', array(
    'default'           => 30, // Default font size in pixels
    'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
) );

// Add control for site title size
$wp_customize->add_control( 'moving_truck_rental_site_title_size', array(
    'type'        => 'number',
    'section'     => 'title_tagline', // You can change this section to your preferred section
    'label'       => __( 'Site Title Font Size ', 'moving-truck-rental' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
) );

// Site Title - Enable Setting.
$wp_customize->add_setting(
	'moving_truck_rental_enable_site_title_setting',
	array(
		'default'           => true,
		'sanitize_callback' => 'moving_truck_rental_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Moving_Truck_Rental_Toggle_Switch_Custom_Control(
		$wp_customize,
		'moving_truck_rental_enable_site_title_setting',
		array(
			'label'    => esc_html__( 'Disable Site Title', 'moving-truck-rental' ),
			'section'  => 'title_tagline',
			'settings' => 'moving_truck_rental_enable_site_title_setting',
		)
	)
);

// Tagline - Enable Setting.
$wp_customize->add_setting(
	'moving_truck_rental_enable_tagline_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'moving_truck_rental_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Moving_Truck_Rental_Toggle_Switch_Custom_Control(
		$wp_customize,
		'moving_truck_rental_enable_tagline_setting',
		array(
			'label'    => esc_html__( 'Enable Tagline', 'moving-truck-rental' ),
			'section'  => 'title_tagline',
			'settings' => 'moving_truck_rental_enable_tagline_setting',
		)
	)
);

$wp_customize->add_setting('moving_truck_rental_site_logo_width', array(
    'default'           => 200,
    'sanitize_callback' => 'moving_truck_rental_sanitize_range_value',
));

$wp_customize->add_control(new Moving_Truck_Rental_Customize_Range_Control($wp_customize, 'moving_truck_rental_site_logo_width', array(
    'label'       => __('Adjust Site Logo Width', 'moving-truck-rental'),
    'description' => __('This setting controls the Width of Site Logo', 'moving-truck-rental'),
    'section'     => 'title_tagline',
    'settings'    => 'moving_truck_rental_site_logo_width',
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 400,
        'step' => 5,
    ),
)));